Package org.eclipse.lemminx.extensions.filepath.settings

## Class FilePathSupportSettings

- java.lang.Object
- - org.eclipse.lemminx.extensions.filepath.settings.FilePathSupportSettings

    public class FilePathSupportSettings
    extends Object

File paths settings: `"xml.filePathSupport.mappings": [ // File paths applied for text node items.xml files { "pattern": "*.xml", "expressions": [ { "xpath": "path/text()" }, { "xpath": "item/@path" }, { "xpath": "item/@paths", "separator": " " } ] } ]`

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`FilePathSupportSettings()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`List<FilePathMapping>` `getFilePathMappings()`
`static FilePathSupportSettings` `getFilePathsSettings​(Object initializationOptionsSettings)`
`FilePathSupport` `getFilePathSupport()`
`void` `setFilePathSupport​(FilePathSupport filePathSupport)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilePathSupportSettings

    public FilePathSupportSettings()

### Method Detail

#### getFilePathSupport

    public FilePathSupport getFilePathSupport()

#### setFilePathSupport

    public void setFilePathSupport​(FilePathSupport filePathSupport)

#### getFilePathsSettings

    public static FilePathSupportSettings getFilePathsSettings​(Object initializationOptionsSettings)

#### getFilePathMappings

    public List<FilePathMapping> getFilePathMappings()